# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/i2c/ovti,ov6211.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: OmniVision OV6211 Image Sensor

description:
  OmniVision OV6211 image sensor is a high performance monochrome image
  sensor. The sensor is controlled over a serial camera control bus
  protocol (SCCB), the widest supported output image frame size is 400x400
  at 120 frames per second rate, data output format is 8/10-bit RAW
  transferred over one-lane MIPI D-PHY interface.

maintainers:
  - Vladimir Zapolskiy <vladimir.zapolskiy@linaro.org>

allOf:
  - $ref: /schemas/media/video-interface-devices.yaml#

properties:
  compatible:
    const: ovti,ov6211

  reg:
    maxItems: 1

  clocks:
    description: XVCLK supply clock, 6MHz to 27MHz frequency.
    maxItems: 1

  reset-gpios:
    description: Active low GPIO connected to XSHUTDOWN pad of the sensor.
    maxItems: 1

  strobe-gpios:
    description: Input GPIO connected to strobe pad of the sensor.
    maxItems: 1

  avdd-supply:
    description: Analogue voltage supply, 2.6 to 3.0 volts.

  dovdd-supply:
    description: Digital I/O voltage supply, 1.8 volts.

  dvdd-supply:
    description: Digital core voltage supply.

  port:
    $ref: /schemas/graph.yaml#/$defs/port-base
    additionalProperties: false

    properties:
      endpoint:
        $ref: /schemas/media/video-interfaces.yaml#
        unevaluatedProperties: false

        required:
          - link-frequencies

required:
  - compatible
  - reg
  - port

unevaluatedProperties: false

examples:
  - |
      #include <dt-bindings/gpio/gpio.h>

      i2c {
          #address-cells = <1>;
          #size-cells = <0>;

          camera@60 {
              compatible = "ovti,ov6211";
              reg = <0x60>;
              clocks = <&camera_clk 0>;
              assigned-clocks = <&camera_clk 0>;
              assigned-clock-rates = <24000000>;
              reset-gpios = <&gpio1 10 GPIO_ACTIVE_LOW>;
              avdd-supply = <&vreg_2p8>;
              dovdd-supply = <&vreg_1p8>;
              dvdd-supply = <&vreg_1p2>;

              port {
                  endpoint {
                      link-frequencies = /bits/ 64 <480000000>;
                      remote-endpoint = <&mipi_csi2_ep>;
                  };
              };
          };
      };
...
